Subject: Re: [PATCH] ethtool: Support arbitrary speeds

From: Rick Jones <[email-masked]>
Date: Fri, 09 Jan 2009 10:40:09 -0800

>>Doesn't that need to keep the reporting of the unknown speed in parens 
>>like the original?
> 
> 
> We'll only be doing it for known invalid values, so the value isn't
> useful information.  I suppose it's conceivable that there are tools out
> there that are parsing the output and expect "Unknown! (0)" when link is
> down.

That was my paranoid assumption :) (albeit for the 65535 value :)

rick